Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath.patterns
Class FunctionPattern

    java.lang.Object
      |
      +--weblogic.apache.xpath.Expression
            |
            +--weblogic.apache.xpath.patterns.NodeTest
                  |
                  +--weblogic.apache.xpath.patterns.StepPattern
                        |
                        +--weblogic.apache.xpath.patterns.FunctionPattern

public class FunctionPattern
extends StepPattern

Match pattern step that contains a function.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Fields inherited from class weblogic.apache.xpath.patterns.StepPattern
`m_axis`

Fields inherited from class weblogic.apache.xpath.patterns.NodeTest
`m_name, m_whatToShow, SCORE_NODETEST, SCORE_NONE, SCORE_NSWILD, SCORE_OTHER, SCORE_QNAME, SHOW_BYFUNCTION, SUPPORTS_PRE_STRIPPING, WILD`

Fields inherited from class weblogic.apache.xpath.Expression
`m_slocator`

Constructor Summary
`FunctionPattern(Expression expr, int axis, int predaxis)` Construct a FunctionPattern from a expression.

Method Summary
`void` | `calcScore()` Static calc of match score.
`XObject` | `execute(XPathContext xctxt)` Test a node to see if it matches the given node test.
`XObject` | `execute(XPathContext xctxt, int context)` Test a node to see if it matches the given node test.
`XObject` | `execute(XPathContext xctxt, int context, weblogic.apache.xml.dtm.DTM dtm, int expType)` Test a node to see if it matches the given node test.
`void` | `fixupVariables(java.util.Vector vars, int globalsSize)` This function is used to fixup variables from QNames to stack frame indexes at stylesheet build time.

Methods inherited from class weblogic.apache.xpath.patterns.StepPattern
`calcTargetString, canTraverseOutsideSubtree, executePredicates, executeRelativePathPattern, getAxis, getLastPos, getMatchScore, getPredicate, getPredicateCount, getPredicates, getProximityPosition, getRelativePathPattern, getTargetString, setAxis, setPredicates, setRelativePathPattern, toString`

Methods inherited from class weblogic.apache.xpath.patterns.NodeTest
`debugWhatToShow, getDefaultScore, getLocalName, getNamespace, getNodeTypeTest, getStaticScore, getWhatToShow, initNodeTest, initNodeTest, setLocalName, setNamespace, setStaticScore, setWhatToShow`

Methods inherited from class weblogic.apache.xpath.Expression
`asIterator, asNode, assertion, bool, error, executeCharsToContentHandler, isNodesetExpr, isStableNumber, num, setSourceLocator, warn, xstr`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FunctionPattern

    public FunctionPattern(Expression expr,
                           int axis,
                           int predaxis)

  Construct a FunctionPattern from a expression.

  Parameters:
    `a` - should be a expression. NEEDSDOC @param expr

Method Detail

### calcScore

    public final void calcScore()

  Static calc of match score.

  Overrides:
    calcScore in class StepPattern

### fixupVariables

    public void fixupVariables(java.util.Vector vars,
                               int globalsSize)

  This function is used to fixup variables from QNames to stack frame indexes at stylesheet build time.

  Parameters:
    `vars` - List of QNames that correspond to variables. This list should be searched backwards for the first qualified name that corresponds to the variable reference qname. The position of the QName in the vector from the start of the vector will be its position in the stack frame (but variables above the globalsTop value will need to be offset to the current stack frame).
  Overrides:
    fixupVariables in class StepPattern

### execute

    public XObject execute(XPathContext xctxt,
                           int context)
                    throws javax.xml.transform.TransformerException

  Test a node to see if it matches the given node test.

  Parameters:
    `xctxt` - XPath runtime context.
  Returns:
    `NodeTest.SCORE_NODETEST`, `NodeTest.SCORE_NONE`, `NodeTest.SCORE_NSWILD`, `NodeTest.SCORE_QNAME`, or `NodeTest.SCORE_OTHER`.
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    execute in class StepPattern

### execute

    public XObject execute(XPathContext xctxt,
                           int context,
                           weblogic.apache.xml.dtm.DTM dtm,
                           int expType)
                    throws javax.xml.transform.TransformerException

  Test a node to see if it matches the given node test.

  Parameters:
    `xctxt` - XPath runtime context.
  Returns:
    `NodeTest.SCORE_NODETEST`, `NodeTest.SCORE_NONE`, `NodeTest.SCORE_NSWILD`, `NodeTest.SCORE_QNAME`, or `NodeTest.SCORE_OTHER`.
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    execute in class StepPattern

### execute

    public XObject execute(XPathContext xctxt)
                    throws javax.xml.transform.TransformerException

  Test a node to see if it matches the given node test.

  Parameters:
    `xctxt` - XPath runtime context.
  Returns:
    `NodeTest.SCORE_NODETEST`, `NodeTest.SCORE_NONE`, `NodeTest.SCORE_NSWILD`, `NodeTest.SCORE_QNAME`, or `NodeTest.SCORE_OTHER`.
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    execute in class StepPattern

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference